apiVersion: apps/v1
kind: Deployment
metadata:
  name: meditech-backend
  namespace: meditech-dev
  labels:
    app: meditech-backend
    source: becomingtech
    env: dev
spec:
  replicas: 1
  selector:
    matchLabels:
      app: meditech-backend
      source: becomingtech
      env: dev
  template:
    metadata:
      labels:
        app: meditech-backend
        source: becomingtech
        env: dev
    spec:
      imagePullSecrets:
        - name: yeti-ghcrio-credentials
      containers:
      - name: meditech-backend
        image: ghcr.io/becoming/meditech-backend:latest
        imagePullPolicy: Always
        ports:
          - containerPort: 8080
        env:
          - name: APP_HTTP_SECURITY_CORS
            value: "*"
          - name: ELASTIC_APM_SERVER_URL
            value: https://d3099b9e76d04d4f9d0afbca1eece6f7.apm.eu-west-3.aws.elastic-cloud.com:443
          - name: ELASTIC_APM_SECRET_TOKEN
            value: qwAMlH8lAixxgDmsQz
          - name: ELASTIC_APM_ENABLED
            value: "true"
        resources:
          requests:
            memory: "256Mi"
            cpu: "1000m"
          limits:
            memory: "1000Mi"
            cpu: "2000m"
        livenessProbe:
          httpGet:
            path: /actuator/health
            port: 8080
          initialDelaySeconds: 5
          periodSeconds: 10
